summaryrefslogtreecommitdiffstats
path: root/system/pyinotify/pyinotify.SlackBuild
diff options
context:
space:
mode:
author Larry Hajali2010-08-16 06:43:45 +0200
committer Erik Hanson2010-08-18 21:01:17 +0200
commit84e52838e16d048c19874eff6cc171f24e29e855 (patch)
tree8cd39ebd6de2cfc9cd35fe1a272ecd999a454b54 /system/pyinotify/pyinotify.SlackBuild
parent0c759425f98d6ae212413a81475fc5333dc48195 (diff)
downloadslackbuilds-84e52838e16d048c19874eff6cc171f24e29e855.tar.gz
system/pyinotify: Added (python inotify module)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/pyinotify/pyinotify.SlackBuild')
-rw-r--r--system/pyinotify/pyinotify.SlackBuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/system/pyinotify/pyinotify.SlackBuild b/system/pyinotify/pyinotify.SlackBuild
new file mode 100644
index 0000000000..342ac21cb5
--- /dev/null
+++ b/system/pyinotify/pyinotify.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for pyinotify
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=pyinotify
+VERSION=${VERSION:-0.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ACKS ChangeLog_old COPYING NEWS_old $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}